using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WebSamples.Repositories.Interfaces
{
    public interface IGeoCityRepository
    {
        #region Exposed methods

        IEnumerable<GeoPoint> GetAllCities();
        IEnumerable<GeoPoint> GetCitiesNearBy(double latitude, double longitude, int radius);
        IEnumerable<GeoPoint> GetCitiesBounded(double topLeftLat, double topLeftLong,
                                               double botRightLat, double botRightLong);

        #endregion
    }
}
